%define upstream_name    UUID-Random-Patch-UseMRS
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Make UUID::Random use Math::Random::Secure's rand()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Math::Random::Secure)
BuildRequires: perl(Module::Build)
BuildRequires: perl(UUID::Random)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module makes the UUID::Random manpage use 'rand()' from the
Math::Random::Secure manpage instead of the default 'rand()' that comes
with Perl. It is useful for creating cryptographically secure UUID's. On
the other hand, as a note, this makes generate() around 20 times slower.

After you 'use' this module, use UUID::Random as usual.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-5.mga6
+ Revision: 1035670
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 931972
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 745315
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 686778
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.10.0-1.mga5
+ Revision: 658036
- imported package perl-UUID-Random-Patch-UseMRS


* Tue Jul 29 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
